Subject: Re: fork/exec fixed? [was Re: How to build static lib's]
From: Chris Faylor <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: Mumit Khan <[email-masked]>, Kevin Wright <[email-masked]>, [email-masked]
Date: Mon, 27 Sep 1999 16:35:42 -0400

On Mon, Sep 27, 1999 at 04:22:46PM -0400, Charles S. Wilson wrote:
>Mumit Khan wrote:
>
>> 
>> This problem is due to a bug in cygwin-b20, and is fixed in recent
>> snapshots. In most cases, it is quite harmless (unless you're creating
>> subprocesses using fork/exec, in which case odd things may happen).
>> 
>
>Does this mean that the old fork/exec problem that plagued cygwin-perl a
>while back is fixed in recent snapshots? Not fixed? Partially fixed?
>
>Reference: "fork + dlls" thread on May 21-23, 1999.

I don't think so.  I investigated this a while ago.  I looks like the problem
is due to the fork code loading the DLLs in the wrong order which causes the
DLLs in the child to be loaded in different locations than the parent.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]